# Functor Bin_io_utils.Serialized.Make

    module Make: functor (B : Core.Std.Binable) -> sig .. end

Parameters:

`B` | : | `Core.Std.Binable`

    type t

    val create : B.t -> t

    val value : t -> B.t

    val bin_reader_t_with_value : (t * B.t) Core.Std.Bin_prot.Type_class.reader

    val bin_t_with_value : (t * B.t) Core.Std.Bin_prot.Type_class.t

    val bin_t : t Core.Std.Bin_prot.Type_class.t

    val bin_read_t : t Core.Std.Bin_prot.Read.reader

    val __bin_read_t__ : (int -> t) Core.Std.Bin_prot.Read.reader

    val bin_reader_t : t Core.Std.Bin_prot.Type_class.reader

    val bin_size_t : t Core.Std.Bin_prot.Size.sizer

    val bin_write_t : t Core.Std.Bin_prot.Write.writer

    val bin_writer_t : t Core.Std.Bin_prot.Type_class.writer